MMap dinâmico necessita de mais memória. Por favor aumente o tamanho de APT::Cache-Limit

1. MMap dinâmico necessita de mais memória. Por favor aumente o tamanho de APT::Cache-Limit

Luan Kleber
luanyata

(usa Ubuntu)

Enviado em 11/05/2010 - 17:23h

Olha pessoal esse é o erro que está dando no sistema:

Lendo listas de pacotes... Erro!
E: MMap dinâmico necessita de mais memória. Por favor aumente o tamanho de APT::Cache-Limit. Valor atual: 25165824. (man 5 apt.conf)
E: Um erro ocorreu processando procps (NovoArquivoVer1)
E: Problem with MergeList /var/lib/dpkg/status
W: Unable to munmap
E: As listas de pacotes ou os arquivos de estado não puderam ser analisados ou abertos.
E: Não foi possível reconstruir o cache de pacotes
E: MMap dinâmico necessita de mais memória. Por favor aumente o tamanho de APT::Cache-Limit. Valor atual: 25165824. (man 5 apt.conf)
E: Um erro ocorreu processando procps (NovoArquivoVer1)
E: Problem with MergeList /var/lib/dpkg/status
W: Unable to munmap
E: As listas de pacote ou o arquivo de estado não pode ser analisado ou aberto.

E: MMap dinâmico necessita de mais memória. Por favor aumente o tamanho de APT::Cache-Limit. Valor atual: 25165824. (man 5 apt.conf)
E: Um erro ocorreu processando procps (NovoArquivoVer1)
E: Problem with MergeList /var/lib/dpkg/status
W: Unable to munmap
E: As listas de pacote ou o arquivo de estado não pode ser analisado ou aberto.


Dei uma vasculhada na Google e seguir o procedimento de limpar o cache ( apt-get clean) e adicionar a linha APT::Cache-Limit “10000000″; no arquivo /etc/apt/apt.conf.d/70debconf
mesmo assim não foi. Então aumente para 1000000000 e continua o mesmo problema...

#Conteudo 70debconf#
// Pre-configure all packages with debconf before they are installed.
// If you don't like it, comment it out.
DPkg::Pre-Install-Pkgs {"/usr/sbin/dpkg-preconfigure --apt || true";};
APT::Cache-Limit “10000000000″;


Sé eu comentar o repositório na sources.list fica normal

esse é o repositório:
deb http://archive.offensive-security.com pwnsauce main microverse macroverse restricted universe multiverse



desde ja grato ;)


  


2. Re: MMap dinâmico necessita de mais memória. Por favor aumente o tamanho de APT::Cache-Limit

Luan Kleber
luanyata

(usa Ubuntu)

Enviado em 12/05/2010 - 09:54h

Alguem... ;)


3. Re: MMap dinâmico necessita de mais memória. Por favor aumente o tamanho de APT::Cache-Limit

Murilo
mcaju

(usa Ubuntu)

Enviado em 31/07/2010 - 16:20h

Bom, já faz um tempinho da sua postagem, mas vou responder por que poderá ajudar outros que tenham o mesmo problema, assim como eu tive.

Tive este mesmo problema e a edição do arquivo /etc/apt/apt.conf.d/70debconf foi a solução. O que ocorre é que precisamos observar a ordem das linhas. A linha com o APT::Cache-Limit, tem que vir antes da linha que começa com DPkg::.

Forte abraço e fiquem com Deus!!

Murilo Caju.






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts